%define module_name 	vboxdrv
%define version 	1.3.6
%define release 	1.2007mcnl

Name:			dkms-VirtualBox-OSE
Version:		%{version}
Release:		%{release}
Summary:		DKMS-ready kernel-source for the VirtualboxOSE module
License:		GPL
Source0:		vboxdrv-%{version}.tar.bz2
Source1:        	vboxdrv.sh
Url:			http://www.virtualbox.org/
Group:			Emulators
Requires(pre):	dkms
Requires(post): dkms
Buildroot:		%{_tmppath}/%{name}-%{version}-root

Obsoletes:	dkms-VirtualboxOSE
Provides:	vboxdrv

%description
The Virtualbox OSE Module for running Virtualbox OSE

%prep
%setup -q -n %{module_name}-1.3.6

%build

%install
cd src
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/src/%{module_name}-%{version}
cp -a * %{buildroot}/usr/src/%{module_name}-%{version}
cat > %{buildroot}/usr/src/%{module_name}-%{version}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}"

# Items below here should not have to change with each driver version


PACKAGE_NAME="%{module_name}"
MAKE[0]="cd \${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build ; make KERNEL_PATH=\${kernel_source_dir}"
CLEAN="cd \${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build ; make KERNEL_PATH=\${kernel_source_dir} clean"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/vbox/"

REMAKE_INITRD="no"
AUTOINSTALL=yes
POST_INSTALL="post-install"
POST_REMOVE="post-remove"
EOF



%clean
rm -rf $RPM_BUILD_ROOT

%post
dkms add -m %{module_name} -v %{version} --rpm_safe_upgrade
dkms build -m %{module_name} -v %{version} --rpm_safe_upgrade
dkms install -m %{module_name} -v %{version} --rpm_safe_upgrade

%preun
dkms remove -m %{module_name} -v %{version} --rpm_safe_upgrade --all ||:


%files
%defattr(-,root,root)
%_usrsrc/%{module_name}-%{version}


%changelog
* Wed Feb 28 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.6-1.2007mcnl
- new version  1.3.6 (final)

* Wed Feb 21 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.99-070221.2007mcnl
- new version from 21-02-2007

* Tue Jan 23 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.3-1.2007mcnl
- first Mandriva dkms package 
